/* Fonts */

@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto/Roboto-Regular.ttf");
    font-weight: 400;
    font-display: swap
}

@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto/Roboto-Medium.ttf");
    font-weight: 500;
    font-display: swap
}

@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto/Roboto-Bold.ttf");
    font-weight: 700;
    font-display: swap
}

/* Variables */

:root {
    --clr-blue: #022C88;
    --clr-red: #FA193D;
    --clr-text-heading: #0F121A;
    --clr-text-paragraph: #444955;
    --clr-text-light: #A4AAB6;
    --clr-text-invert: #fff;
    --navbar-height: 144px;
}

/* Basic layout */

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    text-rendering: geometricPrecision;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    line-height: 2;
    color: var(--clr-text-paragraph);
    scroll-behavior: smooth;
}

body {
    padding-top: var(--navbar-height);
    background: #fff;
}

.container {
    max-width: 1440px;
    padding: 0 30px;
    margin: 0 auto;
}

.container-small {
    max-width: 1024px;
    padding: 0 30px;
    margin: 0 auto;
}

img {
    display: block;
    -webkit-user-drag: none;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

/* Typography */

h1, h2, h3, h4, h5, h6 {
    font-weight: 700;
    color: var(--clr-text-heading);
}

h1 {
    font-size: 48px;
    line-height: 70px;
}

h2 {
    font-size: 48px;
    line-height: 70px;
    margin-bottom: 40px;
}

h3 {
    font-size: 32px;
    line-height: 48px;
    margin-bottom: 40px;
}

h4 {
    font-size: 22px;
    line-height: 40px;
    margin-bottom: 12px;
}

h5 {
    font-size: 20px;
    line-height: 40px;
}

h6 {
    font-size: 18px;
    line-height: 36px;
}

p {
    font-size: 20px;
    line-height: 40px;
    font-weight: 400;
    color: var(--clr-text-paragraph);
}

a {
    font-size: 20px;
    line-height: 40px;
    font-weight: 400;
    color: var(--clr-text-heading);
    text-decoration: none;
    transition: opacity .3s ease;
}

a:hover {
    opacity: .6;
}

::selection {
    color: var(--clr-text-invert);
    background: var(--clr-blue);
}

::-moz-selection {
    color: var(--clr-text-invert);
    background: var(--clr-blue);
}

/* Navbar */

.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    background: var(--clr-blue);
    padding: 32px 0;
    height: var(--navbar-height);
    transition: height .3s ease, padding .3s ease;
}

.navbar .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

.navbar .logo img {
    height: 100%;
    width: auto;
}

.navbar a.logo {
    height: 100%;
}

.navbar a.logo:hover {
    opacity: 1;
}

.navbar a {
    color: var(--clr-text-invert);
    font-size: 16px;
    font-weight: 700;
    line-height: 16px;
}

.navbar.scrolled {
    padding: 16px 0;
    height: 96px;
}

/* Header */

header {
    margin: 200px auto;
    max-width: 1024px;
    text-align: center;
}

/* Solutions */

.solutions {
    width: 100%;
    padding: 144px 0;
    background-image: url("../img/solutions.jpg");
    background-size: cover;
    background-position: center;
}

.solutions h2, .solutions p {
    color: var(--clr-text-invert);
    max-width: 658px;
}

/* Content grid */

.content-grid {
    display: grid;
    grid-template-columns: 12% 1fr 1fr 12%;
    grid-template-rows: 1fr;
    gap: 144px 64px;
    grid-auto-flow: row;
    margin: 144px 0 50px;
}

.content-grid img {
    width: 100%;
    height: auto;
}

.content-text {
    grid-column: span 2;
    align-self: center;
    max-width: 658px;
}

#service-text {
    grid-column: 2 span;
}

#service-img {
    grid-column: 2 span;
}

.zertifikat-grid{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 50px;
}

.zertifikat {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 30px;
    height: 100px;
}

.zertifikat img{
    max-height: 100%;
    max-width: 100%;
    height: auto;
    width: auto;
}

/* Footer */

footer {
    width: 100%;
    background: #F3F4F5;
    padding: 144px 0 48px 0;
}

footer p {
    font-size: 18px;
    line-height: 2;
    margin-bottom: 12px;
}

footer a {
    font-size: 18px;
    line-height: 18px;
    color: var(--clr-text-light);
}

footer .contact-grid a {
    color: var(--clr-text-heading);
    font-size: 18px;
    font-weight: 500;
    line-height: 18px;
    padding-bottom: 4px;
    border-bottom: 2px solid var(--clr-red);
    transition: border .2s ease;
}

footer .contact-grid a:hover {
    opacity: 1;
    border-color: var(--clr-text-light);
}

.contact-grid {
    display: grid;
    grid-template-columns: max-content max-content max-content;
    grid-gap: 144px;
    margin-bottom: 144px;
}

/* Legal texts */

.container-small.legal {
    padding-top: 72px;
    padding-bottom: 72px;
}

.legal h1 {
    font-size: 32px;
    margin-bottom: 32px;
}

.legal h4 {
    margin-bottom: 4px;
}

.legal p {
    margin-bottom: 40px;
}

.legal a {
    word-break: break-all;
}

.legal ul {
    margin: 0 0 40px 24px;
}

/* Retina images */

@media screen and (-webkit-min-device-pixel-ratio: 2), screen and (min-resolution: 192dpi), screen and (min-resolution: 2dppx) {
    .solutions {
        background-image: url("../img/solutions@2x.jpg");
    }
}

/* Responsive behavior */

@media (max-width: 1150px) {
    h2 {
        margin-bottom: 24px;
    }
    .content-grid {
        gap: 120px 48px;
    }
    #commerce-img-1 {
        display: none;
    }
    #commerce-img-2 {
        grid-column: span 2;
    }
}

@media (max-width: 990px) {
    #service-text, #service-img {
        grid-column: 2 span;
    }
    .content-grid {
        gap: 96px 48px;
    }
    .contact-grid {
        grid-gap: 96px;
    }
}

@media (max-width: 840px) {
    #commerce-text, #service-text {
        grid-column: 1 / span 4;
    }
    #commerce-text {
        grid-row: 1;
    }
    #commerce-img-2, #service-img {
        grid-column: 1 / span 4;
        height: 280px;
        object-fit: cover;
        object-position: center;
    }
    .contact-grid {
        grid-gap: 72px;
    }
}

@media (max-width: 760px) {
    .content-grid {
        gap: 72px 32px;
    }

    .contact-grid {
        grid-template-columns: 1fr;
        grid-gap: 48px;
    }
}

@media (max-width: 575px) {
    :root {
        --navbar-height: 80px;
    }
    .container, .container-small {
        padding: 0 15px;
    }
    .container-small.legal {
        padding-top: 48px;
        padding-bottom: 48px;
    }
    h1 {
        font-size: 32px;
        line-height: 48px;
    }
    .legal h1 {
        font-size: 24px;
        margin-bottom: 32px;
    }
    h2 {
        font-size: 32px;
        line-height: 48px;
        margin-bottom: 24px;
    }
    h3 {
        font-size: 32px;
        line-height: 48px;
    }
    p {
        font-size: 18px;
        line-height: 36px;
    }
    .navbar {
        padding: 12px 0;
    }
    .navbar.scrolled {
        padding: 12px 0;
        height: 72px;
    }
    header {
        margin: 144px auto;
    }
    .solutions {
        padding: 72px 0;
    }
    .content-grid {
        margin: 72px 0;
    }
    #service-img {
        height: 280px;
        object-fit: cover;
        object-position: center;
    }
    footer {
        padding: 72px 0 32px 0;
    }
    .contact-grid {
        margin-bottom: 72px;
    }
}